# Delete device backup

del ` https://app.mk.io/api/v1/projects/:project_name/fleet/backups/:backup_id`

Delete a specific device backup by id.

RBAC Capability Required: `fleet.device.delete`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your
auth token.

## Path parameters

**project_name**: string Required  
**backup_id**: string Required  
format: uuid

## Response

**200** Deleted  
No response body.

## Errors

- **400** Bad Request
  - **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - Pertinent information about the error
      - **code**: string Required  
      - **detail**: string Required  
      - **extraDetail**: map from strings to any Optional  
        - Extra information regarding this error.
        - **[any key]**: any  
      - **ref**: string Required  
        - A reference to the request that caused the error.
      - **status**: integer Required  
        - The HTTP status code

- **401** Unauthorized
  - **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - Pertinent information about the error
      - **code**: string Required  
      - **detail**: string Required  
      - **extraDetail**: map from strings to any Optional
        - Extra information regarding this error.
        - **[any key]**: any  
      - **ref**: string Required  
        - A reference to the request that caused the error.
      - **status**: integer Required  
        - The HTTP status code

- **403** Forbidden
  - **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - Pertinent information about the error
      - **code**: string Required  
      - **detail**: string Required  
      - **extraDetail**: map from strings to any Optional
        - Extra information regarding this error.
        - **[any key]**: any  
      - **ref**: string Required  
        - A reference to the request that caused the error.
      - **status**: integer Required  
        - The HTTP status code

- **404** Not Found
  - **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - Pertinent information about the error
      - **code**: string Required  
      - **detail**: string Required  
      - **extraDetail**: map from strings to any Optional
        - Extra information regarding this error.
        - **[any key]**: any  
      - **ref**: string Required  
        - A reference to the request that caused the error.
      - **status**: integer Required  
        - The HTTP status code

- **429** Too Many Requests
  - **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - Pertinent information about the error
      - **code**: string Required  
      - **detail**: string Required  
      - **extraDetail**: map from strings to any Optional
        - Extra information regarding this error.
        - **[any key]**: any  
      - **ref**: string Required  
        - A reference to the request that caused the error.
      - **status**: integer Required  
        - The HTTP status code

- **500** Internal Server Error
  - **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - Pertinent information about the error
      - **code**: string Required  
      - **detail**: string Required  
      - **extraDetail**: map from strings to any Optional
        - Extra information regarding this error.
        - **[any key]**: any  
      - **ref**: string Required  
        - A reference to the request that caused the error.
      - **status**: integer Required  
        - The HTTP status code
